Subject: [bug#75144] [PATCH] machine: Implement 'hetzner-environment-type'.

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 07 Feb 2025 21:45:33 +0900

Hi Roman,

Roman Scherer <[email-masked]> writes:

[...]

> Things to improve another day:
>
> - Get Hetzner to add a Guix image to their collectin of supported images. That
> would remove the need for using the rescue system to install an initial Guix system.
>
> - Installing the initial Guix system via the rescue system is kind of slow
> (especially if there are no substituyes), and done in sequence. I'm not sure
> how this could be parallelized with how things are invoke by guix deploy.

Forgive my ignorance, but I thought the idea of a deploy <machine>
environment type was to allow fully provisioning the OS via the service
API?

I haven't reviewed the change yet; perhaps you mean that currently such
provision must happen by going through the rescue system path (but is
still automated by this new environment type?)

-- 
Thanks,
Maxim